FieldSampler.h File Reference
`#include "Types.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

struct | detail::ScalarOrVector< 1 >
struct | detail::ScalarOrVector< 3 >
struct | FieldSampler< WrapperVec_T, Dims_T >
| Interface for sampling a vector of fields of the same type. More...

## Namespaces

namespace | detail

## Functions

template<typename T, typename T2>
FIELD3D_VEC3_T< T > | detail::max (const FIELD3D_VEC3_T< T > &a, const FIELD3D_VEC3_T< T2 > &b)
| Max operation on mixed vector types.
template<typename T, typename T2>
T | detail::max (const T a, const T2 b)
| Max operation on mixed types.
template<typename T, typename T2>
FIELD3D_VEC3_T< T > | detail::min (const FIELD3D_VEC3_T< T > &a, const FIELD3D_VEC3_T< T2 > &b)
| Min operation on mixed vector types.
template<typename T, typename T2>
T | detail::min (const T a, const T2 b)
| Min operation on mixed types.